fix_factory.cpp File Reference

Implementation of a class factory for fixed-point data types Fix and CFix. More...

`#include <itpp/fixed/fix_factory.h>`
`#include <itpp/fixed/cfix.h>`

Go to the source code of this file.

## Namespaces

| itpp
| itpp namespace

## Functions

template<>
void | itpp::create_elements< Fix > (Fix *&ptr, const int n, const Factory &f)
| Create an n-length array of Fix using Fix_Factory `f`.
template<>
void | itpp::create_elements< CFix > (CFix *&ptr, const int n, const Factory &f)
| Create an n-length array of CFix using Fix_Factory `f`.

## Detailed Description

Implementation of a class factory for fixed-point data types Fix and CFix.

Author
  Johan Bergman and Adam Piatyszek

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file fix_factory.cpp.

Generated on Sat Sep 30 2017 07:04:09 for IT++ by Doxygen 1.8.13